GDB (xrefs)

Public Attributes | List of all members
_objfile_smob Struct Reference

## Public Attributes
gdb_smob | base
struct objfile * | objfile
SCM | pretty_printers
SCM | containing_scm

## Detailed Description

Definition at line 31 of file scm-objfile.c.

## Member Data Documentation

## ◆ base

gdb_smob _objfile_smob::base

Definition at line 34 of file scm-objfile.c.

## ◆ containing_scm

SCM _objfile_smob::containing_scm

Definition at line 45 of file scm-objfile.c.

Referenced by ofscm_objfile_smob_from_objfile(), ofscm_release_objfile(), and ofscm_scm_from_objfile().

## ◆ objfile

struct objfile* _objfile_smob::objfile

Definition at line 37 of file scm-objfile.c.

Referenced by gdbscm_objfile_filename(), gdbscm_objfile_progspace(), gdbscm_objfile_valid_p(), ofscm_handle_objfile_deleted(), ofscm_is_valid(), ofscm_make_objfile_smob(), ofscm_objfile_smob_from_objfile(), ofscm_print_objfile_smob(), and ofscm_release_objfile().

## ◆ pretty_printers

SCM _objfile_smob::pretty_printers

Definition at line 40 of file scm-objfile.c.

Referenced by gdbscm_objfile_pretty_printers(), gdbscm_set_objfile_pretty_printers_x(), ofscm_make_objfile_smob(), and ofscm_objfile_smob_pretty_printers().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-objfile.c